---
updatedAt: 2026-09-29T10:58:17.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Send applicant platform event with captured device

In scenarios, where it is required to confirm that the event (login, sign up, password reset, or 2FA reset) on the applicant side is completed, you can send the applicant platform event with captured device as the third step of the [Device Intelligence usage flow](https://docs.sumsub.com/sumsub/reference/get-started-with-device-intelligence).

To do this, use the method for [submitting a transaction for non-existing applicant](https://docs.sumsub.com/sumsub/reference/submit-transaction-for-non-existing-applicant) with the following parameters included:

# QUERY parameters

| Parameter     | Type   | Required | Description                                                                                                         |
| :------------ | :----- | :------- | :------------------------------------------------------------------------------------------------------------------ |
| `accessToken` | String | Yes      | Access token that you have [received at the first step](https://docs.sumsub.com/sumsub/reference/generate-access-token-device-intelligence) of the flow. |

# BODY parameters

| Parameter               | Type                                        | Required | Description                                                                                              |
| :---------------------- | :------------------------------------------ | :------- | :------------------------------------------------------------------------------------------------------- |
| `applicant`             | [Object](#applicant-attributes)             | Yes      | Applicant full name and identifier on your side.                                                         |
| `userPlatformEventInfo` | [Object](#userplatformeventinfo-attributes) | Yes      | Indicates the applicant platform event status. Can be omitted if the event was successful.               |
| `type`                  | String                                      | Yes      | Specifies the type of transaction being created. For Device Intelligence, set this to userPlatformEvent. |
| `txnId`                 | String                                      | Yes      | Unique identifier for the confirmed applicant platform event that you generate on your side.             |

## `applicant` attributes

| Attribute        | Type   | Required | Description                                     |
| :--------------- | :----- | :------- | :---------------------------------------------- |
| `fullName`       | String | Yes      | Full name of the applicant.                     |
| `externalUserId` | String | Yes      | Unique applicant identifier within your system. |
| `email`          | String | Yes      | Applicant email address.                        |
| `phone`          | String | No       | Applicant phone number.                         |

## `userPlatformEventInfo` attributes

| Attribute      | Type   | Required | Description                                                                                                                                               |
| :------------- | :----- | :------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `type`         | String | Yes      | Specifies the type of transaction being created. For Device Intelligence, set this to `userPlatformEvent`.                                                |
| `passwordHash` | String | No       | Hashed representation of the user’s password, used to detect and prevent fraud by identifying repeated use of the same password across multiple accounts. |

## Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/applicants/-/kyt/txns/-/data?accessToken=_act-jwt-tyu567qkAWM9Tb2LSS6yuP8EoLqJtWKVsmhE6AgaCav5E28JAJiJidzG2qZIjMECQ6UWsuboKvMeM1HEhPTWF1ZPqJxcdtP0N8opXwJdCZLfetv5Ui516CloG6nKT9YUaZ' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \ 
     -d '{
            "applicant": {
                "fullName": "John Doe",
                "email": "johndoe@email.com",
                "externalUserId": "KGFJ57657VJH"
            },
            "userPlatformEventInfo": {
                "type": "login",
                "passwordHash": "21354684686zdtgx358th4x84t4h3xft58400000"
            },
            "type": "userPlatformEvent",
            "txnId": "finance0001"
          }'
```

# Response explained

Since the applicant platform events are considered as event transactions, the response is a JSON file that represents the structured transaction information available in the Sumsub system. The existence of some fields depends on the transaction type and matched [rules](https://docs.sumsub.com/sumsub/docs/tm-rules).

To overview the response structure and possible content with descriptions, refer to the [following page](https://docs.sumsub.com/sumsub/reference/get-transaction#root-variables).

<Callout icon="📘" theme="info">
  ### Note

  You can [review the applicant event check results](https://docs.sumsub.com/sumsub/reference/get-started-with-device-intelligence#review-event-check-results) on the [Transactions](https://cockpit.sumsub.com/checkus/#/kyt/txns) page in the Dashboard.
</Callout>